Can't build psycopg

Ed Leafe ed at leafe.com
Mon Jul 19 02:12:51 CEST 2004


	I've been trying to build psycopg, a python adapter for PostgreSQL. In  
order to build it, you need to have (among other things) the PostgreSQL  
source code, headers and libraries. Since my Fedora install doesn't  
include these things, I downloaded the source and ran configure and  
make. At this point everything should be built and ready to install. I  
don't want to run make install, since I already have a perfectly good  
PostgreSQL installation running.

	I then re-ran configure as follows:

./configure  
--with-postgres-libraries=/home/dls/postgresql-7.4.2/src/interfaces/ 
libpq/ \
	--with-postgres-includes=/home/ed/dls/postgresql-7.4.2/src/include \
	--with-mxdatetime-includes=/usr/lib/python2.3/site-packages/mx/ 
DateTime/mxDateTime

which should tell configure where all the pieces it needs are. But it  
abends with the error:

checking PostgreSQL version... 7.4
checking PostgreSQL type catalog...  
/home/ed/dls/postgresql-7.4.2/src/include/catalog/pg_type.h
checking for mxDateTime.h... yes
checking for main in -lcrypt... yes
checking for PQconnectStart in -lpq... no
configure: error: can't build without PostgreSQL libraries

	Has anyone else built psycopg successfully? Any ideas what else I can  
try?

      ___/
     /
    __/
   /
  ____/
  Ed Leafe
  http://leafe.com/
  http://dabodev.com/




More information about the Python-list mailing list